## org.apache.felix.obrplugin
Class Config

    java.lang.Object
      org.apache.felix.obrplugin.Config

    public class Config

extends java.lang.Object

this class is used to store some user information about configuration of the plugin.

Author:
  Felix Project Team

Constructor Summary
`Config()` constructor: set default configuration: use relative path and don't upload file.

Method Summary
`java.net.URI` `getRemoteBundle()`
`boolean` `isPathRelative()`
`boolean` `isRemoteFile()`
`void` `setPathRelative(boolean value)`
`void` `setRemoteBundle(java.net.URI value)`
`void` `setRemoteFile(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config()

  constructor: set default configuration: use relative path and don't upload file.

Method Detail

### setPathRelative

    public void setPathRelative(boolean value)

  Parameters:
    `value` - enable to use relative path

### setRemoteFile

    public void setRemoteFile(boolean value)

  Parameters:
    `value` - enable when uploading

### setRemoteBundle

    public void setRemoteBundle(java.net.URI value)

  Parameters:
    `value` - public address of deployed bundle

### isPathRelative

    public boolean isPathRelative()

  Returns:
    true if plugin uses relative path, else false

### isRemoteFile

    public boolean isRemoteFile()

  Returns:
    true if the file will be uploaded, else false

### getRemoteBundle

    public java.net.URI getRemoteBundle()

  Returns:
    public address of deployed bundle

Copyright © 2011. All Rights Reserved.